update is failing, want to understand why

Forum for questions and support relating to the 1.30.x releases only.
Post Reply
alabamatoy
Posts: 152
Joined: Sun Jun 05, 2016 2:53 pm

update is failing, want to understand why

Post by alabamatoy » Sun Nov 06, 2016 10:20 pm

Ubuntu 16.04, ZM 1.29 trying to update to 1.30, keep getting:

Code: Select all

WARNING: The following packages cannot be authenticated!
  zoneminder zoneminder-doc
E: There were unauthenticated packages and -y was used without --allow-unauthenticated
I did another ZM upgrade from 1.29 to 1.3 just two days ago (different machine) and didnt get this error, what is causing it?

Yes, I understand that I can add the allow switch, but I'm just trying to understand what is different from the upgrade I did 2 days ago, since I am trying to keep these 2 machines as similar as possible.

bbunge
Posts: 2405
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: update is failing, want to understand why

Post by bbunge » Sun Nov 06, 2016 11:43 pm

nothing has changed on the PPA for 14 weeks. I also did an upgrade from 1.29.0 to 1.30.0 several days ago with no issues. What upgrade instructions did you use?

bbunge
Posts: 2405
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: update is failing, want to understand why

Post by bbunge » Mon Nov 07, 2016 12:16 am

Just ran the upgrade with no errors.

https://wiki.zoneminder.com/Common_Issu ... .0_Upgrade

alabamatoy
Posts: 152
Joined: Sun Jun 05, 2016 2:53 pm

Re: update is failing, want to understand why

Post by alabamatoy » Mon Nov 07, 2016 1:44 am

bbunge wrote:What upgrade instructions did you use?
Did both via webmin. One worked, the other got this error.

bbunge
Posts: 2405
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: update is failing, want to understand why

Post by bbunge » Mon Nov 07, 2016 2:38 am

alabamatoy wrote:
bbunge wrote:What upgrade instructions did you use?
Did both via webmin. One worked, the other got this error.
Well, there is your problem. Do your upgrades and installs in a terminal as a root user. Yes, Webmin is a great tool. I use it to manage my remote servers. But, with Zoneminder installs and upgrades a terminal is best!

PacoLM
Posts: 967
Joined: Wed Dec 02, 2009 9:55 pm
Location: Spain

Re: update is failing, want to understand why

Post by PacoLM » Mon Nov 07, 2016 5:22 pm

bbunge wrote:
alabamatoy wrote:
bbunge wrote:What upgrade instructions did you use?
Did both via webmin. One worked, the other got this error.
Well, there is your problem. Do your upgrades and installs in a terminal as a root user. Yes, Webmin is a great tool. I use it to manage my remote servers. But, with Zoneminder installs and upgrades a terminal is best!
If I'm not wrong webmin does exactly the same a terminnal will do...What's the difference between a webmin update and a terminal update when the executed command is the same?

Regards,

PacoLM

mini-ITX system (6 IPCams - Ubuntu14.04 - ZM1.31.1)

alabamatoy
Posts: 152
Joined: Sun Jun 05, 2016 2:53 pm

Re: update is failing, want to understand why

Post by alabamatoy » Mon Nov 07, 2016 5:37 pm

PacoLM wrote:If I'm not wrong webmin does exactly the same a terminnal will do...What's the difference between a webmin update and a terminal update when the executed command is the same?
That's the impression I was under as well.

So I did two machines upgrade from 1.29 to 1.30 both using exact same approach, one worked, one doesn't, but the machines are largely configured the same. I have not had time to attempt to do the upgrade via SSH, but I suspect I will wind up with same issue.

My point in this is to try to understand what caused the error "WARNING: The following packages cannot be authenticated! zoneminder zoneminder-doc" and how to fix that. I can get the thing upgraded, I am pretty confident...I am just trying to understand what caused this error and how I would go about fixing it.

bbunge
Posts: 2405
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: update is failing, want to understand why

Post by bbunge » Mon Nov 07, 2016 8:56 pm

Tell me the steps you used in Webmin including how you added the ppa.

User avatar
iconnor
Posts: 760
Joined: Fri Oct 29, 2010 1:43 am
Location: Toronto
Contact:

Re: update is failing, want to understand why

Post by iconnor » Mon Nov 07, 2016 9:16 pm

The one that is having the issue hasn't imported the key that I use to sign the packages

bbunge
Posts: 2405
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: update is failing, want to understand why

Post by bbunge » Mon Nov 07, 2016 9:24 pm

iconnor wrote:The one that is having the issue hasn't imported the key that I use to sign the packages
Ah... that is done with the command:
add-apt-repository ppa:iconnor/zoneminder
which you can do from Webmin Command Shell but would still be best done in a terminal. If you insist on using Webmin try the Text Logon.

alabamatoy
Posts: 152
Joined: Sun Jun 05, 2016 2:53 pm

Re: update is failing, want to understand why

Post by alabamatoy » Thu Nov 10, 2016 10:14 pm

bbunge wrote:
iconnor wrote:The one that is having the issue hasn't imported the key that I use to sign the packages
Ah... that is done with the command:
add-apt-repository ppa:iconnor/zoneminder
....
OK. Learning has occurred here, thank you, Sensei. Is there some generic repository key update that one would do if one did not know that it was specifically iconnor that had a new key?

Post Reply

Who is online

Users browsing this forum: No registered users and 3 guests